FROM node
RUN mkdir -p /app
WORKDIR /app
COPY . /app
RUN chmod +x run.sh
#RUN npm install -g cnpm --registry=https://registry.npm.taobao.org
#RUN cnpm install -g node-gyp
#RUN cnpm install -g yarn
RUN yarn config set sass-binary-site http://npm.taobao.org/mirrors/node-sass -g
RUN yarn
CMD [ "bash", "run.sh" ]
